/* ------------------------------------------------------------------
   This file checks if some basic datatype are correctly initialized
   with their default values.
   ----------------------------------------------------------------- */


define variable a as integer.
display a skip with side-labels.

define variable aa as integer extent 2.
display aa skip.

define variable b as int64.
display b skip.

define variable bb as int64 extent 2.
display bb skip.

define variable c as character.
display c skip.

define variable cc as character extent 2.
display cc skip.

define variable d as raw.
display d = ? skip.

define variable dd as raw extent 2.
display dd[1] = ? dd[2] = ? skip.

define variable e as logical.
display e skip.

define variable ee as logical extent 2.
display ee skip.

define variable f as handle.
display Integer(F) skip.

define variable ff as handle extent 2.
display INTEGER(ff[1]) INTEGER(ff[2]) skip.

/*
Expected output:
┌───────────────────────────────────┐
│a: 0                               │
│aa[1]: 0          aa[2]: 0         │
│b: 0                               │
│bb[1]: 0          bb[2]: 0         │
│c:                                 │
│cc[1]:          cc[2]:             │
│no                                 │
│no  no                             │
│e: no                              │
│ee[1]: no  ee[2]: no               │
│?                                  │
│?          ?                       │
└───────────────────────────────────┘

*/